Package org.eclipse.birt.chart.computation

# Class Polygon

java.lang.Object
org.eclipse.birt.chart.computation.Polygon

Direct Known Subclasses:
  `RotatedRectangle`

public class Polygon extends Object
A 2D Polygon class

## Constructor Summary

Constructors
Constructor
Description
`Polygon()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(double x, double y)`
`void`
`add(Point p)`
`boolean`
`contains(Point p)`
`Rectangle`
`getBounds()`
`Point`
`getPoint(int index)`
`List<Point>`
`getPoints()`
`boolean`
`intersects(Polygon poly)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Polygon

public Polygon()

## Method Details

### add

public void add(double x, double y)

### add

public void add(Point p)

### getPoint

public Point getPoint(int index)

### getPoints

public List<Point> getPoints()

### getBounds

public Rectangle getBounds()

### intersects

public boolean intersects(Polygon poly)

### contains

public boolean contains(Point p)